/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2008                                              */
/*                                                                           */
/* This software is licensed under the Eclipse Public License (EPL) V1.0.    */
/*****************************************************************************/

import com.zerog.ia.api.pub.*;
import java.io.*;

public class STAFSetSilentDefaults extends CustomCodeAction
{
    public void install(InstallerProxy ip)
    {
        String updateEnvironment = ip.substitute("$UPDATE_ENVIRONMENT$");

        if (updateEnvironment.equals(""))
        {
            ip.setVariable("$UPDATE_ENVIRONMENT$", "System");
        }

        String startSTAFonLogin = ip.substitute("$START_ON_LOGIN$");

        if (startSTAFonLogin.equals(""))
        {
            ip.setVariable("$START_ON_LOGIN$", "1");
        }

        String createStartMenuIcons = ip.substitute("$CREATE_START_MENU_ICONS$");

        if (createStartMenuIcons.equals("") &&
            !(updateEnvironment.equals("None")))
        {
            ip.setVariable("$CREATE_START_MENU_ICONS$", "1");
        }

        String useTCP = ip.substitute("$USE_TCP_VERSION$");

        if (useTCP.equals(""))
        {
            ip.setVariable("$USE_TCP_VERSION$", "IPV4");
        }

        String usePerl = ip.substitute("$USE_PERL_VERSION$");

        if (usePerl.equals(""))
        {
            ip.setVariable("$USE_PERL_VERSION$", "5.8");
        }

        String stafInstanceName = ip.substitute("$STAF_INSTANCE_NAME$");

        if (stafInstanceName.equals(""))
        {
            ip.setVariable("$STAF_INSTANCE_NAME$", "STAF");
        }

        String allowSTAFToRegister = ip.substitute("$REGISTER$");

        if (allowSTAFToRegister.equals(""))
        {
            ip.setVariable("$REGISTER$", "1");
        }

        String userRequestedRestart = ip.substitute("$USER_REQUESTED_RESTART$");

        if (userRequestedRestart.equals(""))
        {
            ip.setVariable("$USER_REQUESTED_RESTART$", "NO");
        }

        String startSTAFProc = ip.substitute("$START_STAFPROC$");

        if (startSTAFProc.equals(""))
        {
            ip.setVariable("$START_STAFPROC$", "Normal");
        }
    }

    public void uninstall(UninstallerProxy up)
    {
    }

    public String getInstallStatusMessage()
    {
        return "";
    }

    public String getUninstallStatusMessage()
    {
        return "";
    }
}