/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2004, 2005                                        */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

import com.installshield.util.*;
import com.installshield.wizard.*;
import com.installshield.wizard.service.*;
import com.installshield.wizard.platform.win32.*;
import com.installshield.product.*;
import com.installshield.product.service.product.ProductService;

public class STAFSetDisplayName extends WizardAction
{
	private String valueName="DisplayName";
	private String displayNameValue="";

	private String []  productReferencesID = new String[0];

    public void execute(WizardBeanEvent event)
    {
        try
        {
            ProductService service = null;
			Win32RegistryService regserv = null;
			String key ="";
			String value="";
            
            displayNameValue = "STAF " +
                resolveString("$W(stafVersion.version)");
            
        	service = (ProductService) getService(ProductService.NAME);

			//Retrieve a SoftwareObjectKey through the ProductService API
			SoftwareObjectKey sok = (SoftwareObjectKey) service.getProductBeanProperty(service.DEFAULT_PRODUCT_SOURCE, null, "key");

            //The uid of the root componet of the project
            String id = sok.getUID();

            String installLocation = resolveString("$P(absoluteInstallLocation)");
            installLocation = FileUtils.normalizeFileName(installLocation,'/');

			key = "SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\" +
                  id + installLocation.hashCode();

			regserv = (Win32RegistryService)getService(Win32RegistryService.NAME);
		    regserv.setStringValue(Win32RegistryService.HKEY_LOCAL_MACHINE, key, valueName, false, displayNameValue);
		}
		catch( ServiceException se )
        {
			se.printStackTrace();
		}
    }

	public void build(WizardBuilderSupport support)
    {
		 //Ensure service classes are built into the setup.jar
		support.putRequiredService( Win32RegistryService.NAME );
		support.putRequiredService( ProductService.NAME );
	}


	public void setValueName(String valueName)
    {
		this.valueName = valueName;
	}

	public String getValueName()
    {
		return valueName;
	}

	public void setDisplayNameValue(String displayNameValue)
    {
		this.displayNameValue = displayNameValue;
	}

	public String getDisplayNameValue(){
		return displayNameValue;
	}
}
