/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2007                                              */
/*                                                                           */
/* This software is licensed under the Eclipse Public License (EPL) V1.0.    */
/*****************************************************************************/

package com.ibm.staf;

public class TestJSTAF
{
    public static void main(String[] args)
    {
        if (args.length < 3)
        {
            System.out.println("Usage: java com.ibm.staf.TestJSTAF <Endpoint " +
                               "| LOCAL> <Service> <Request> ");
            System.exit(1);
        }

        String where = args[0];
        String service = args[1];
        String request = "";

        for (int i = 2; i < args.length; i++)
        {
            request += args[i] + " ";
        }
        
        request = request.trim();

        STAFHandle handle = null;

        try
        {
            handle = new STAFHandle("TestJSTAF");
        }
        catch(STAFException e)
        {
            e.printStackTrace();
            System.exit(1);
        }

        System.out.println("TestJSTAF using STAF handle " + handle.getHandle());

        STAFResult result = handle.submit2(where, service, request);

        System.out.println("RC=" + result.rc);

        if (STAFMarshallingContext.isMarshalledData(result.result))
        {
            System.out.println("Result=");
            System.out.println(STAFMarshallingContext.unmarshall(result.result));
        }
        else
        {
            System.out.println("Result=" + result.result);
        }
    }
}
