/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2002                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

package com.ibm.staf.service.stax;
import org.python.util.PythonInterpreter;
import org.python.core.*;

public class STAXPythonInterpreter extends PythonInterpreter
{
    public STAXPythonInterpreter()
    {
        super();
    }

    public STAXPythonInterpreter(PyObject locals)
    {
        super(locals);
    }

    public STAXPythonInterpreter clonePyi()
    {
        // Clone globals, making a deep copy (where possible)
        this.exec("STAXClonedGlobals = STAXPythonFunction_CloneGlobals(globals())");
  
        // Return a new PythonInterpreter using a cloned copy of globals
        PyObject clonedGlobals = this.get("STAXClonedGlobals");
        this.exec("del STAXClonedGlobals");

        return new STAXPythonInterpreter(clonedGlobals);
    }
}
