/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2002                                              */
/*                                                                           */
/* This software is licensed under the Eclipse Public License (EPL) V1.0.    */
/*****************************************************************************/

package com.ibm.staf.service.stax;
import com.ibm.staf.*;

// Create a new class STAXSubmitResult which is used to store the
// result from a STAX EXECUTE request (which consists of the STAFResult and
// the STAXJob objects).


public class STAXSubmitResult
{
     public STAXSubmitResult()
     { /* Do Nothing */ }
 
 
     public STAXSubmitResult(STAFResult result)
     {
         fResult = result;
     }
     public STAXSubmitResult(STAFResult result, STAXJob job)
     {
         fResult = result;
         fJob = job;
     }

     public STAFResult getResult() { return fResult; }
     public void setResult(STAFResult result) { fResult = result; }
    
     public STAXJob getJob() { return fJob; }
     public void setJob(STAXJob job) { fJob = job; }
    
     private STAFResult fResult;
     private STAXJob fJob = null;
}
