/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001                                              */
/*                                                                           */
/* This software is licensed under the Eclipse Public License (EPL) V1.0.    */
/*****************************************************************************/

#ifndef STAF_InternalServices
#define STAF_InternalServices

#include "STAFService.h"

class STAFPingService : public STAFService
{
public:

    STAFPingService() : STAFService("PING") { /* Do Nothing */ }

    virtual STAFServiceResult acceptRequest(
                              const STAFServiceRequest &requestInfo);

    virtual STAFString info(unsigned int raw = 0) const;

    virtual ~STAFPingService();

private:

    // Don't allow copy construction or assignment
    STAFPingService(const STAFPingService &);
    STAFPingService &operator=(const STAFPingService &);

    static STAFString sPing;
    static STAFString sPong;
};


class STAFEchoService : public STAFService
{
public:

    STAFEchoService() : STAFService("ECHO") { /* Do Nothing */ }

    virtual STAFServiceResult acceptRequest(
                              const STAFServiceRequest &requestInfo);

    virtual STAFString info(unsigned int raw = 0) const;

    virtual ~STAFEchoService();

private:

    // Don't allow copy construction or assignment
    STAFEchoService(const STAFEchoService &);
    STAFEchoService &operator=(const STAFEchoService &);
};


class STAFDelayService : public STAFService
{
public:

    STAFDelayService() : STAFService("DELAY") { /* Do Nothing */ }

    virtual STAFServiceResult acceptRequest(
                              const STAFServiceRequest &requestInfo);

    virtual STAFString info(unsigned int raw = 0) const;

    virtual ~STAFDelayService();

private:

    // Don't allow copy construction or assignment
    STAFDelayService(const STAFDelayService &);
    STAFDelayService &operator=(const STAFDelayService &);
};

#endif
